Problème installation gladys-voice

Bonjour à tous et tout d’abord un grand chapeau pour ce projet car il est vraiment énorme.
Il correspond parfaitement à l’idée de la domotique que je me faisait. Bref :slight_smile:

J’ai un soucis lorsque je souhaite installer gladys-voice, en effet, je tape la commande :

[email protected]:~ $ sudo npm install gladys-voice

Mais ça réfléchit pendant 2 minutes et verdict, une longue série d’erreur…

Je précise que je suis sur un Raspberry Pi 3 avec l’image téléchargé ici en version 3.1.11

[quote][email protected]:~ $ sudo npm install gladys-voice
npm WARN deprecated [email protected]: use uuid module instead

[email protected] install /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc
node-pre-gyp install --fallback-to-build

node-pre-gyp ERR! Tried to download: storage.googleapis.com/grpc-pre … arm.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for [email protected] and [email protected] (node-v46 ABI) (falling back to source compile with node-gyp)
gyp WARN EACCES user “root” does not have permission to access the dev dir “/root/.node-gyp/4.5.0”
gyp WARN EACCES attempting to reinstall using temporary dev dir “/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/.node-gyp”
make: Entering directory ‘/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/build’
make: *** No rule to make target ‘…/.node-gyp/4.5.0/include/node/common.gypi’, needed by ‘Makefile’. Arrêt.
make: Leaving directory ‘/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/build’
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
gyp ERR! stack at emitTwo (events.js:87:13)
gyp ERR! stack at ChildProcess.emit (events.js:172:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
gyp ERR! System Linux 4.4.13-v7+
gyp ERR! command “/usr/local/bin/node” “/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “build” “–fallback-to-build” “–module=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/src/node/extension_binary/grpc_node.node” “–module_name=grpc_node” “–module_path=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/src/node/extension_binary”
gyp ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc
gyp ERR! node -v v4.5.0
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/src/node/extension_binary’ (1)
node-pre-gyp ERR! stack at ChildProcess. (/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack at emitTwo (events.js:87:13)
node-pre-gyp ERR! stack at ChildProcess.emit (events.js:172:7)
node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:829:16)
node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
node-pre-gyp ERR! System Linux 4.4.13-v7+
node-pre-gyp ERR! command “/usr/local/bin/node” “/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/node_modules/.bin/node-pre-gyp” “install” “–fallback-to-build”
ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc
node-pre-gyp ERR! node -v v4.5.0
node-pre-gyp ERR! node-pre-gyp -v v0.6.28
node-pre-gyp ERR! not ok
Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/google-gax/node_modules/grpc/src/node/extension_binary’ (1)

[email protected] install /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc
node-pre-gyp install --fallback-to-build

node-pre-gyp ERR! Tried to download(404): storage.googleapis.com/grpc-pre … arm.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for [email protected] and [email protected] (node-v46 ABI) (falling back to source compile with node-gyp)
gyp WARN EACCES user “root” does not have permission to access the dev dir “/root/.node-gyp/4.5.0”
gyp WARN EACCES attempting to reinstall using temporary dev dir “/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/.node-gyp”
make: Entering directory ‘/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/build’
make: *** No rule to make target ‘…/.node-gyp/4.5.0/include/node/common.gypi’, needed by ‘Makefile’. Arrêt.
make: Leaving directory ‘/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/build’
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
gyp ERR! stack at emitTwo (events.js:87:13)
gyp ERR! stack at ChildProcess.emit (events.js:172:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
gyp ERR! System Linux 4.4.13-v7+
gyp ERR! command “/usr/local/bin/node” “/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “build” “–fallback-to-build” “–module=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/src/node/extension_binary/grpc_node.node” “–module_name=grpc_node” “–module_path=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/src/node/extension_binary”
ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc
gyp ERR! node -v v4.5.0
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/src/node/extension_binary’ (1)
node-pre-gyp ERR! stack at ChildProcess. (/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack at emitTwo (events.js:87:13)
node-pre-gyp ERR! stack at ChildProcess.emit (events.js:172:7)
node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:829:16)
node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
node-pre-gyp ERR! System Linux 4.4.13-v7+
node-pre-gyp ERR! command “/usr/local/bin/node” “/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/node_modules/.bin/node-pre-gyp” “install” “–fallback-to-build”
node-pre-gyp ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc
node-pre-gyp ERR! node -v v4.5.0
node-pre-gyp -v v0.6.31
node-pre-gyp ERR! not ok
Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/@google-cloud/speech/node_modules/@google-cloud/common/node_modules/grpc/src/node/extension_binary’ (1)
\

[email protected] install /home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc
node-pre-gyp install --fallback-to-build

node-pre-gyp ERR! Tried to download: storage.googleapis.com/grpc-pre … arm.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for [email protected] and [email protected] (node-v46 ABI) (falling back to source compile with node-gyp)
gyp WARN EACCES user “root” does not have permission to access the dev dir “/root/.node-gyp/4.5.0”
gyp WARN EACCES attempting to reinstall using temporary dev dir “/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/.node-gyp”
make: Entering directory ‘/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/build’
make: *** No rule to make target ‘…/.node-gyp/4.5.0/include/node/common.gypi’, needed by ‘Makefile’. Arrêt.
make: Leaving directory ‘/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/build’
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
gyp ERR! stack at emitTwo (events.js:87:13)
gyp ERR! stack at ChildProcess.emit (events.js:172:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
gyp ERR! System Linux 4.4.13-v7+
gyp ERR! command “/usr/local/bin/node” “/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “build” “–fallback-to-build” “–module=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/src/node/extension_binary/grpc_node.node” “–module_name=grpc_node” “–module_path=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/src/node/extension_binary”
gyp ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc
gyp ERR! node -v v4.5.0
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/src/node/extension_binary’ (1)
node-pre-gyp ERR! stack at ChildProcess. (/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack at emitTwo (events.js:87:13)
node-pre-gyp ERR! stack at ChildProcess.emit (events.js:172:7)
node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:829:16)
node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
node-pre-gyp ERR! System Linux 4.4.13-v7+
node-pre-gyp ERR! command “/usr/local/bin/node” “/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/node_modules/.bin/node-pre-gyp” “install” “–fallback-to-build”
node-pre-gyp ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc
node-pre-gyp ERR! node -v v4.5.0
node-pre-gyp ERR! node-pre-gyp -v v0.6.29
node-pre-gyp ERR! not ok
Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/grpc/src/node/extension_binary’ (1)

[email protected] preinstall /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/snowboy
npm install node-pre-gyp

npm ERR! Linux 4.4.13-v7+
npm ERR! argv “/usr/local/bin/node” “/usr/local/bin/npm” “install” “node-pre-gyp”
npm ERR! node v4.5.0
npm ERR! npm v2.15.9
npm ERR! path /root/.npm/node-pre-gyp/0.6.32/package
npm ERR! code EACCES
npm ERR! errno -13
npm ERR! syscall mkdir

npm ERR! Error: EACCES: permission denied, mkdir ‘/root/.npm/node-pre-gyp/0.6.32/package’
npm ERR! at Error (native)
npm ERR! { [Error: EACCES: permission denied, mkdir ‘/root/.npm/node-pre-gyp/0.6.32/package’]
npm ERR! errno: -13,
npm ERR! code: ‘EACCES’,
npm ERR! syscall: ‘mkdir’,
npm ERR! path: ‘/root/.npm/node-pre-gyp/0.6.32/package’,
npm ERR! parent: ‘snowboy’ }
npm ERR!
npm ERR! Please try running this command again as root/Administrator.

npm ERR! Please include the following file with any support request:
npm ERR! /home/pi/node_modules/gladys-voice/node_modules/sonus/node_modules/snowboy/npm-debug.log

[email protected] install /home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc
node-pre-gyp install --fallback-to-build

node-pre-gyp ERR! Tried to download: storage.googleapis.com/grpc-pre … arm.tar.gz
node-pre-gyp ERR! Pre-built binaries not found for [email protected] and [email protected] (node-v46 ABI) (falling back to source compile with node-gyp)
gyp WARN EACCES user “root” does not have permission to access the dev dir “/root/.node-gyp/4.5.0”
gyp WARN EACCES attempting to reinstall using temporary dev dir “/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/.node-gyp”
make: Entering directory ‘/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/build’
make: *** No rule to make target ‘…/.node-gyp/4.5.0/include/node/common.gypi’, needed by ‘Makefile’. Arrêt.
make: Leaving directory ‘/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/build’
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
gyp ERR! stack at emitTwo (events.js:87:13)
gyp ERR! stack at ChildProcess.emit (events.js:172:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:200:12)
gyp ERR! System Linux 4.4.13-v7+
gyp ERR! command “/usr/local/bin/node” “/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “build” “–fallback-to-build” “–module=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/src/node/extension_binary/grpc_node.node” “–module_name=grpc_node” “–module_path=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/src/node/extension_binary”
gyp ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc
gyp ERR! node -v v4.5.0
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/src/node/extension_binary’ (1)
node-pre-gyp ERR! stack at ChildProcess. (/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack at emitTwo (events.js:87:13)
node-pre-gyp ERR! stack at ChildProcess.emit (events.js:172:7)
node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:829:16)
node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
node-pre-gyp ERR! System Linux 4.4.13-v7+
node-pre-gyp ERR! command “/usr/local/bin/node” “/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/node_modules/.bin/node-pre-gyp” “install” “–fallback-to-build”
node-pre-gyp ERR! cwd /home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc
node-pre-gyp ERR! node -v v4.5.0
node-pre-gyp ERR! node-pre-gyp -v v0.6.28
node-pre-gyp ERR! not ok
Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build --fallback-to-build --module=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/src/node/extension_binary/grpc_node.node --module_name=grpc_node --module_path=/home/pi/node_modules/gladys-voice/node_modules/google-cloud/node_modules/google-gax/node_modules/grpc/src/node/extension_binary’ (1)
npm ERR! Linux 4.4.13-v7+
npm ERR! argv “/usr/local/bin/node” “/usr/local/bin/npm” “install” “gladys-voice”
npm ERR! node v4.5.0
npm ERR! npm v2.15.9
npm ERR! code ELIFECYCLE

npm ERR! [email protected] install: node-pre-gyp install --fallback-to-build
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the [email protected] install script ‘node-pre-gyp install --fallback-to-build’.
npm ERR! This is most likely a problem with the grpc package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node-pre-gyp install --fallback-to-build
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs grpc
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR!
npm ERR! npm owner ls grpc
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /home/pi/npm-debug.log[/quote]

Il faut que tu passe à Node.js 6, ce module ne fonctionne pas en dessous de Node v6 !

Mervi pour cette réponse rapide mais il faut nodejs ou node en v6 ?

J’ai mis à jour nodejs mais comment faire pour node ?

[email protected]:~ $ nodejs -v
v7.4.0
[email protected]:~ $ node -v
v4.5.0

EDIT : J’ai trouvé, je pense via la commande nvm install v7.4.0 (dernière à ce jour)
j’obtiens :

[email protected]:~ $ node -v
v7.4.0
[email protected]:~ $ nodejs -v
v7.4.0

Je retente gladys-voice et je post le résultat ici

Alors cela ne fonctionne toujours pas.
Par contre, j’ai 2 version de nodejs…
En effet, si lance la commande nodejs -v j’ai V7.4.0 qui sors. Mais si je fais la même commande en root j’ai 4.5.0 qui sors.

Je n’arrive pas à mettre à jour la version nodejs pour root

je pense que mon problème vient de la

Alors, j’ai mis à jour node et nodejs en v7.4.0 :

[color=#00BF00][email protected][/color]:[color=#0000BF]~ $[/color] node -v
v7.4.0
[color=#00BF00][email protected][/color]:[color=#0000BF]~ $[/color] nodejs -v
v7.4.0
[color=#00BF00][email protected][/color]:[color=#0000BF]~ $[/color] sudo node -v
v7.4.0
[color=#00BF00][email protected][/color]:[color=#0000BF]~ $[/color] sudo nodejs -v
v7.4.0

Par contre, toujours impossible d’arriver à installer gladys-voice via la commande “npm install gladys-voice”

J’ai un log de 3 km de long avec plein d’erreur rouge.

On est bien d’accord que cette commande doit être lacé dans /home/pi et non dans /home/pi/gladys ?

tu as les logs ? c’est toujours la même erreur ?

Bon, j’avance un peu. En utilisant le paramètre unsafe-perm, j’ai réduis considérablement la taille du log :

[email protected]:~ $ sudo npm install --unsafe-perm -g gladys-voice
npm WARN deprecated [email protected]: use uuid module instead

[email protected] preinstall /home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/.staging/snowboy-b3427492
npm install node-pre-gyp

/home/pi/.nvm/versions/node/v7.4.0/bin/node-pre-gyp -> /home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/node-pre-gyp/bin/node-pre-gyp
/home/pi/.nvm/versions/node/v7.4.0/lib
└── [email protected]

/home/pi/.nvm/versions/node/v7.4.0/lib
└── (empty)

npm ERR! Linux 4.4.38-v7+
npm ERR! argv “/home/pi/.nvm/versions/node/v7.4.0/bin/node” “/usr/bin/npm” “install” “–unsafe-perm” “-g” “gladys-voice”
npm ERR! node v7.4.0
npm ERR! npm v4.0.5
npm ERR! path /home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/.staging/abbrev-d4b2b83b
npm ERR! code ENOENT
npm ERR! errno -2
npm ERR! syscall rename

npm ERR! enoent ENOENT: no such file or directory, rename ‘/home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/.staging/abbrev-d4b2b83b’ -> ‘/home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/gladys-voice/node_modules/abbrev’
npm ERR! enoent ENOENT: no such file or directory, rename ‘/home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/.staging/abbrev-d4b2b83b’ -> ‘/home/pi/.nvm/versions/node/v7.4.0/lib/node_modules/gladys-voice/node_modules/abbrev’
npm ERR! enoent This is most likely not a problem with npm itself
npm ERR! enoent and is related to npm not being able to find a file.
npm ERR! enoent

npm ERR! Please include the following file with any support request:
npm ERR! /home/pi/npm-debug.log

Outch après là comme ça j’aurais du mal à te dire ce qui ne va pas sans voir en face… je n’ai jamais installé node via NVM je t’avoue aussi…

( tu peux installer node très simplement depuis leur site, ya des binaires pour chaque version )

Bonsoir à tous !!! j’utilise ce post pour éviter d’en ouvrir un autre, je suis obligé d’ouvrir gladys-voice avec la fonction pm2 start app.js --name gladys-voice -f et du coup il m’en ouvre 2, je ne comprends pas.
Merci de votre aide

Salut, pourquoi obligé ? Tu ne peux pas simplement lancer comme ceci:
pm2 start gladys-voice

merci Jean34 c’est beaucoup mieux.
A bientôt car j’ai pas fini :yum:

1 Like